#!/usr/bin/env python
# Vista Menu, By QB89Dragon
# This is free software made available under the GNU public license.
# Use 'run-in-window' command switch for development testing
import sys
sys.path.append("/usr/lib/vistamenu/")
import pygtk
pygtk.require('2.0')
import gtk
import gtk.glade
import gnomeapplet
import sys
from Vista_Menu_Object import VistaMenu
import gobject
from Cairo_Window import CairoWindow

gobject.type_register(VistaMenu)

# Bonobo factory of VistaMenu
def VistaMenu_factory(applet, iid):
    # Start the applet
    VistaMenu(applet,iid)
    return True
    
    
if len(sys.argv) == 2 and sys.argv[1] == "--help":
    print "==========VISTA MENU HELP=========="
    print "Command:          What it does:"
    print "show-menu         opens start menu"
    print "run-in-window     runs independant of gnome-panel"
    print "==================================="
    sys.exit ()
    
if len(sys.argv) == 2 and sys.argv[1] == "show-menu":
    #FIXME: use DBUS call to trigger menu to display in already-running-instance
    print "Sorry, external menu activation not yet implemented"
    sys.exit ()
    
if len(sys.argv) == 2 and sys.argv[1] == "run-in-window":
    # Start the applet in windowed mode
    main_window = gtk.Window(gtk.WINDOW_TOPLEVEL)
    main_window.set_decorated(0)
    main_window.set_title("Python Testing Sandpit for Vista Menu")
    main_window.connect("destroy", gtk.main_quit) 
    app = gnomeapplet.Applet()
    VistaMenu(app, None)
    app.reparent(main_window)
    main_window.show_all()
    gtk.main()
    sys.exit()

if __name__ == '__main__':
    gnomeapplet.bonobo_factory("OAFIID:GNOME_VistaMenu_Factory", 
                                     VistaMenu.__gtype__, 
                                     "@PACKAGE@", "@VERSION@", VistaMenu_factory)
