#!/usr/bin/env python
#Displays the settings menu for VistaMenu applet
#By qb89dragon 2007

import sys
import pygtk
pygtk.require("2.0")
import gtk
import gtk.glade
import Images
import xml.dom.minidom

def window_exit_destroy(event):
	#Window X clicked destroyer (3 destroy methods, there must be a better way to do this!!!!)
	window.destroy()
	gtk.main_quit()
	
def internal_destroy(widget,event):
    # Internal Obliterator
    window.destroy()
    gtk.main_quit()

def destroy():
    # External Obliterator
    window.destroy()
    gtk.main_quit()

def next_press(self,widget):
	global Theme, ThemeMax
	if Theme==ThemeMax:
		Theme="-1"
	Theme=str(int(Theme) + 1)
	object = wTree.get_widget("themename")
	get_theme_info()
	object.set_text("Currently Selected Theme: " + Tname)
	object = wTree.get_widget("themeimage")
	object.set_from_file(Timg)
	
def prev_press(self,widget):
	global Theme, ThemeMax
	if Theme=="0":
		Theme=str(int(ThemeMax)+1)
	Theme=str(int(Theme) - 1)
	object = wTree.get_widget("themename")
	get_theme_info()
	object.set_text("Currently Selected Theme: " + Tname)
	object = wTree.get_widget("themeimage")
	object.set_from_file(Timg)
	
	
def icnext_press(self,widget):
	global IconTheme, IconMax
	if IconTheme==IconMax:
		IconTheme="-1"
	IconTheme=str(int(IconTheme) + 1)
	object = wTree.get_widget("icontheme")
	get_icon_info()
	object.set_text("Currently Selected Theme: " + iTname)
	object = wTree.get_widget("iconpreview")
	object.set_from_file(iTimg)
	
def icprev_press(self,widget):
	global IconTheme, IconMax
	if IconTheme=="0":
		IconTheme=str(int(IconMax)+1)
	IconTheme=str(int(IconTheme) - 1)
	object = wTree.get_widget("icontheme")
	get_icon_info()
	object.set_text("Currently Selected Theme: " + iTname)
	object = wTree.get_widget("iconpreview")
	object.set_from_file(iTimg)
	
def ok_press(self,widget):
    #Remove focus from any object to solidify their values
    object = wTree.get_widget("okbutton")
    window.set_focus(object)
    XMLSettings = xml.dom.minidom.parse(Images.ProgramDirectory+"Settings.xml")
    XBase = XMLSettings.childNodes[0].childNodes[1]
    get_values()
    write_xml(XBase)
    file_object = open(Images.ProgramDirectory+"Settings.xml", "w") 
    file_object.write(XMLSettings.toxml())  
    file_object.close()
    destroy()
    
def rv_press(self,widget):
    XMLSettings = xml.dom.minidom.parse(Images.ProgramDirectory+"Settings.xml")
    XBase = XMLSettings.childNodes[0].childNodes[3]
    read_xml(XBase)
    set_values()    

def write_xml(XBase):
    XBase.childNodes[1].attributes["Iname"].value = Iname
    XBase.childNodes[1].attributes["Ename"].value = Ename
    XBase.childNodes[3].attributes["IconSize"].value = str(Isize)
    XBase.childNodes[5].attributes["Compositing"].value = str(Compositing)
    XBase.childNodes[7].attributes["ListSize"].value = str(ListSize)
    XBase.childNodes[9].attributes["Theme"].value = str(Theme)
    XBase.childNodes[9].attributes["ThemeMax"].value = str(ThemeMax)
    XBase.childNodes[11].attributes["B1"].value = Actions[0]
    XBase.childNodes[11].attributes["B2"].value = Actions[1]
    XBase.childNodes[11].attributes["B3"].value = Actions[2]
    XBase.childNodes[11].attributes["B4"].value = Actions[3]
    XBase.childNodes[11].attributes["B5"].value = Actions[4]
    XBase.childNodes[11].attributes["B6"].value = Actions[5]
    XBase.childNodes[11].attributes["B7"].value = Actions[6]
    XBase.childNodes[11].attributes["B8"].value = Actions[7]
    XBase.childNodes[11].attributes["B9"].value = Actions[8]
    XBase.childNodes[11].attributes["B10"].value = Actions[9]
    XBase.childNodes[11].attributes["B11"].value = Actions[10]
    XBase.childNodes[11].attributes["B12"].value = Actions[11]
    XBase.childNodes[13].attributes["IconTheme"].value = str(IconTheme)
    XBase.childNodes[13].attributes["IconMax"].value = str(IconMax)
    
def read_xml(XBase):
    global Iname,Ename,Isize,Compositing,ListSize,Theme,ThemeMax, Actions, IconTheme, IconMax
    Iname = XBase.childNodes[1].attributes["Iname"].value
    Ename = XBase.childNodes[1].attributes["Ename"].value
    Isize = XBase.childNodes[3].attributes["IconSize"].value
    Compositing = XBase.childNodes[5].attributes["Compositing"].value
    ListSize = XBase.childNodes[7].attributes["ListSize"].value
    Theme = XBase.childNodes[9].attributes["Theme"].value
    ThemeMax = XBase.childNodes[9].attributes["ThemeMax"].value
    Actions = []
    Actions.append(XBase.childNodes[11].attributes["B1"].value)
    Actions.append(XBase.childNodes[11].attributes["B2"].value)
    Actions.append(XBase.childNodes[11].attributes["B3"].value)
    Actions.append(XBase.childNodes[11].attributes["B4"].value)
    Actions.append(XBase.childNodes[11].attributes["B5"].value)
    Actions.append(XBase.childNodes[11].attributes["B6"].value)
    Actions.append(XBase.childNodes[11].attributes["B7"].value)
    Actions.append(XBase.childNodes[11].attributes["B8"].value)
    Actions.append(XBase.childNodes[11].attributes["B9"].value)
    Actions.append(XBase.childNodes[11].attributes["B10"].value)
    Actions.append(XBase.childNodes[11].attributes["B11"].value)
    Actions.append(XBase.childNodes[11].attributes["B12"].value)
    IconTheme = XBase.childNodes[13].attributes["IconTheme"].value
    IconMax = XBase.childNodes[13].attributes["IconMax"].value

def set_values():
    #Set values to objects on form
	object = wTree.get_widget("webname")
	object.set_text(Iname)
	object = wTree.get_widget("emailname")
	object.set_text(Ename)
	object = wTree.get_widget("RIitemnumber")
	object.set_value(float(ListSize))
	object = wTree.get_widget("PGiconsize")
	object.set_value(float(Isize))
	object = wTree.get_widget("checktransparancy")
	object.set_active(int(Compositing))
	object = wTree.get_widget("themename")
	get_theme_info()
	object.set_text("Currently Selected Theme: " + Tname)
	object = wTree.get_widget("themeimage")
	object.set_from_file(Timg)
	object = wTree.get_widget("entry1")
	object.set_text(Actions[0])
	object = wTree.get_widget("entry2")
	object.set_text(Actions[1])
	object = wTree.get_widget("entry3")
	object.set_text(Actions[2])
	object = wTree.get_widget("entry4")
	object.set_text(Actions[3])
	object = wTree.get_widget("entry5")
	object.set_text(Actions[4])
	object = wTree.get_widget("entry6")
	object.set_text(Actions[5])
	object = wTree.get_widget("entry7")
	object.set_text(Actions[6])
	object = wTree.get_widget("entry8")
	object.set_text(Actions[7])
	object = wTree.get_widget("entry9")
	object.set_text(Actions[8])
	object = wTree.get_widget("entry10")
	object.set_text(Actions[9])
	object = wTree.get_widget("entry11")
	object.set_text(Actions[10])
	object = wTree.get_widget("entry12")
	object.set_text(Actions[11])
	object = wTree.get_widget("icontheme")
	get_icon_info()
	object.set_text("Currently Selected Theme: " + iTname)
	object = wTree.get_widget("iconpreview")
	object.set_from_file(iTimg)
	
def get_values():
    
    global Iname,Ename,Isize,Compositing,ListSize
    object = wTree.get_widget("webname")
    Iname = object.get_text()
    object = wTree.get_widget("emailname")
    Ename = object.get_text()
    object = wTree.get_widget("RIitemnumber")
    ListSize = object.get_value()
    object = wTree.get_widget("PGiconsize")
    Isize = object.get_value()
    object = wTree.get_widget("checktransparancy")
    Compositing = int(object.get_active())
    object = wTree.get_widget("entry1")
    Actions[0] = object.get_text()
    object = wTree.get_widget("entry2")
    Actions[1] = object.get_text()
    object = wTree.get_widget("entry3")
    Actions[2] = object.get_text()
    object = wTree.get_widget("entry4")
    Actions[3] = object.get_text()
    object = wTree.get_widget("entry5")
    Actions[4] = object.get_text()
    object = wTree.get_widget("entry6")
    Actions[5] = object.get_text()
    object = wTree.get_widget("entry7")
    Actions[6] = object.get_text()
    object = wTree.get_widget("entry8")
    Actions[7] = object.get_text()
    object = wTree.get_widget("entry9")
    Actions[8] = object.get_text()
    object = wTree.get_widget("entry10")
    Actions[9] = object.get_text()
    object = wTree.get_widget("entry11")
    Actions[10] = object.get_text()
    object = wTree.get_widget("entry12")
    Actions[11] = object.get_text()

def get_theme_info():
	global Tname, Tauth, Tcopy,Timg
	fn = "/usr/share/vistamenu/Themes/"+str(Theme)+"/themedata.xml"
	Timg = "/usr/share/vistamenu/Themes/"+str(Theme)+"/themepreview.png"
	XMLTI = xml.dom.minidom.parse(fn)
	XBase_T = XMLTI.childNodes[0]
	Tname = XBase_T.childNodes[1].attributes["Name"].value
	Tauth = XBase_T.childNodes[1].attributes["Author"].value
	Tcopy = XBase_T.childNodes[1].attributes["Copyright"].value

def get_icon_info():
	global iTname, iTauth, iTcopy,iTimg
	fn = "/usr/share/vistamenu/Icons/"+str(IconTheme)+"/themedata.xml"
	iTimg = "/usr/share/vistamenu/Icons/"+str(IconTheme)+"/themepreview.png"
	XMLTI = xml.dom.minidom.parse(fn)
	XBase_T = XMLTI.childNodes[0]
	iTname = XBase_T.childNodes[1].attributes["Name"].value
	iTauth = XBase_T.childNodes[1].attributes["Author"].value
	iTcopy = XBase_T.childNodes[1].attributes["Copyright"].value

def importsettings():
    XMLSettings = xml.dom.minidom.parse(Images.ProgramDirectory+"Settings.xml")
    XBase = XMLSettings.childNodes[0].childNodes[1]
    read_xml(XBase)
    set_values()    

def key_down (widget,event):
    # Key down
    key = event.hardware_keycode
    if key == 9:
        #Escape Key, nukes window
        internal_destroy(None,None)
#Set the Glade file
wTree = gtk.glade.XML(Images.GladeSettingsFile)
window = wTree.get_widget("settingswindow")
window.set_app_paintable(1)
window.set_skip_taskbar_hint(1)
window.set_skip_pager_hint(1)
window.set_keep_above(0)       #Make this always above other windows
object = wTree.get_widget("revertbutton")
object.connect("button-press-event",rv_press)
object = wTree.get_widget("cancelbutton")
object.connect("button-press-event",internal_destroy)
object = wTree.get_widget("okbutton")
object.connect("button-press-event",ok_press)
object = wTree.get_widget("nexttheme")
object.connect("button-press-event",next_press)
object = wTree.get_widget("prevtheme")
object.connect("button-press-event",prev_press)
object = wTree.get_widget("icnext")
object.connect("button-press-event",icnext_press)
object = wTree.get_widget("icprev")
object.connect("button-press-event",icprev_press)
    

#Get the Main Window, and connect the "destroy" event
if (window):
    dic = {"on_MainMenu_destroy_event" : gtk.main_quit}
    wTree.signal_autoconnect(dic)
window.connect("key-press-event", key_down)
window.connect("destroy", window_exit_destroy)
importsettings()
window.present()
gtk.main()
        

